# RUN: yaml2obj %s -o %t.o
# RUN: not llvm-dwarfdump -verify %t.o | FileCheck %s

#      CHECK: Verifying non-dwo Units...
# CHECK-NEXT: Verifying unit: 1 / 1, "/tmp/main.c" 
# CHECK-NEXT: error: DIEs have overlapping address ranges

--- !ELF
FileHeader:
  Class: ELFCLASS64
  Data:  ELFDATA2LSB
  Type:  ET_EXEC
DWARF:
  debug_str:
    - ''
    - /tmp/main.c
    - main
  debug_abbrev:
    - Table:
        - Code:            0x00000001
          Tag:             DW_TAG_compile_unit
          Children:        DW_CHILDREN_yes
          Attributes:
            - Attribute:       DW_AT_low_pc
              Form:            DW_FORM_addr
            - Attribute:       DW_AT_high_pc
              Form:            DW_FORM_addr
            - Attribute:       DW_AT_name
              Form:            DW_FORM_strp
        - Code:            0x00000002
          Tag:             DW_TAG_subprogram
          Children:        DW_CHILDREN_yes
          Attributes:
            - Attribute:       DW_AT_name
              Form:            DW_FORM_strp
            - Attribute:       DW_AT_low_pc
              Form:            DW_FORM_addr
            - Attribute:       DW_AT_high_pc
              Form:            DW_FORM_addr
        - Code:            0x00000003
          Tag:             DW_TAG_lexical_block
          Children:        DW_CHILDREN_no
          Attributes:
            - Attribute:       DW_AT_low_pc
              Form:            DW_FORM_addr
            - Attribute:       DW_AT_high_pc
              Form:            DW_FORM_addr
  debug_info:
    - Version:         4
      AddrSize:        8
      Entries:
        - AbbrCode:        0x00000001
          Values:
            - Value:           0x0000000000001000
            - Value:           0x0000000000002000
            - Value:           0x0000000000000001
        - AbbrCode:        0x00000002
          Values:
            - Value:           0x000000000000000D
            - Value:           0x0000000000001000
            - Value:           0x0000000000002000
        - AbbrCode:        0x00000003
          Values:
            - Value:           0x0000000000001100
            - Value:           0x0000000000001300
        - AbbrCode:        0x00000003
          Values:
            - Value:           0x00000000000012FF
            - Value:           0x0000000000001300
        - AbbrCode:        0x00000000
        - AbbrCode:        0x00000000

